# Uses of Class
org.eclipse.ui.navigator.CommonNavigator

Packages that use CommonNavigator
Package
Description
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.navigator.resources
Provides reusable components for clients that need to expand on the capabilities provided by the reference Common Navigator Resources extension.

## Uses of CommonNavigator in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator that return CommonNavigator
Modifier and Type
Method
Description
`CommonNavigator`
CommonViewer.`getCommonNavigator()`
Constructors in org.eclipse.ui.navigator with parameters of type CommonNavigator
Modifier
Constructor
Description
``
`CommonNavigatorManager(CommonNavigator aNavigator)`
Adds listeners to aNavigator to listen for selection changes and respond to mouse events.
``
`CommonNavigatorManager(CommonNavigator aNavigator, IMemento aMemento)`
Adds listeners to aNavigator to listen for selection changes and respond to mouse events.

## Uses of CommonNavigator in org.eclipse.ui.navigator.resources

Subclasses of CommonNavigator in org.eclipse.ui.navigator.resources
Modifier and Type
Class
Description
`final class`
`ProjectExplorer`